Please can Moneydance check the “minbuild” = “nnnn" in meta_info.dict and when set block/allow extensions accordingly

Stuart Beesley (Mr Toolbox)'s Avatar

Stuart Beesley (Mr Toolbox)

25 Feb, 2021 02:34 PM

Currently the ModuleLoader class doesn't obey the “minbuild” = “nnnn" key/setting properly within meta_info.dict…

It does check and if >0 and also <1000 then the extension is always blocked; but nothing else.

When MD tries to load an extension and makes this check, then if set and >0 and >1000 then MD could also block when the current running MD build is less than the one specified.

This would address the issue of users trying to load python extensions when using versions below build 2012….

Thanks

  1. 1 Posted by Stuart Beesley ... on 20 Mar, 2021 12:35 PM

    Stuart Beesley (Mr Toolbox)'s Avatar

    This is fixed with build 3051. Thanks.

  2. Stuart Beesley (Mr Toolbox) closed this discussion on 20 Mar, 2021 12:35 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac